Bug 68203 - RFE: chkfontpath should add new TT dir to XftConfig when necessary
RFE: chkfontpath should add new TT dir to XftConfig when necessary
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: chkfontpath (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-07 22:39 EDT by Alexei Podtelezhnikov
Modified: 2007-04-18 12:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-24 09:10:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexei Podtelezhnikov 2002-07-07 22:39:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
When you work under anti-aliased KDE, making new TrueType fonts available
requires manually adding the 'dir "path"' to XftConfig. It would be very cool if
chkfontpath was able to recognize TrueType fonts and did it automatically when
necassary as it does with for fs/config now.

Anyway, even stupid flag --addttf would be cool as a temporary
solution.


Version-Release number of selected component (if applicable): chkfontpath-1.9.5-2


How reproducible:
Always

Steps to Reproduce:
1. switch to an antialiased environment
2. chkfontpath --add new dir with TT fonts
3. whatch how you fail to make them available for KDE



Additional info: Isn't chkfontpath a natural part of Xfree86-tools anyway?
Comment 1 Mike A. Harris 2002-07-09 20:49:09 EDT
This sounds like a reasonable request.  I'm not sure it is a large enough
issue though to warrant an erratum at this point though.  Currently in
rawhide, XftConfig no longer exists, however similar functionality for
fontconfig is probably just as useful.  I'll have a look into this
for fontconfig.
Comment 2 Mike A. Harris 2003-01-24 06:54:13 EST
Having new directories arbitrarily added to fonts.conf, is IMHO not
really a good idea.  Any font packages should be installing fonts
into one of the Red Hat supplied dirs, or perhaps we should supply
a dir just for the purpose of addon fonts.

That is far superior IMHO to having a tool muck with config files.

Before making a final decision however, I'd like to see Owen's
viewpoint also, so I've added him to CC.
Comment 3 Owen Taylor 2003-01-24 09:10:57 EST
Certainly, the direction we've gone is simply to put fonts that
we want fontconfig to find under /usr/share/fonts or ~/.fonts

Note You need to log in before you can comment on or make changes to this bug.